// Теоретический вопрос
// Опишите своими словами, как Вы понимаете, что такое Document Object Model (DOM)
//DOM - это созданная браузером "иерархия" объектов на основании HTML документа, который он обработал.

// Задание
// Реализовать функцию, которая будет получать массив элементов и выводить их на страницу в виде списка. Задача должна быть реализована на языке javascript, без использования фреймворков и сторонних библиотек (типа Jquery).

// Технические требования:
// Создать функцию, которая будет принимать на вход массив и опциональный второй аргумент parent - DOM-элемент, к которому будет прикреплен список (по дефолту должен быть document.body).
// Каждый из элементов массива вывести на страницу в виде пункта списка;
// Используйте шаблонные строки и метод map массива для формирования контента списка перед выведением его на страницу;
// Примеры массивов, которые можно выводить на экран:

// ["hello", "world", "Kiev", "Kharkiv", "Odessa", "Lviv"];
// ["1", "2", "3", "sea", "user", 23];
// Можно взять любой другой массив.

function createList (array, parent = document.body) {
    const list = array.map(element => {
        return `<li>${element}</li>`
    }).join('');
    parent.insertAdjacentHTML('afterbegin', list)
}

createList(["hello", "world", "Kiev", "Kharkiv", "Odessa", "Lviv"])


